Get Smart
curl --request GET \
--url https://crm.universal.rollout.com/api/smart-lists/{id} \
--header 'Authorization: Bearer <token>' \
--header 'X-Rollout-Credential-Id: <api-key>'import requests
url = "https://crm.universal.rollout.com/api/smart-lists/{id}"
headers = {
"Authorization": "Bearer <token>",
"X-Rollout-Credential-Id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'X-Rollout-Credential-Id': '<api-key>'}
};
fetch('https://crm.universal.rollout.com/api/smart-lists/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"isFub2": true,
"shared": true,
"userId": "<string>",
"conditions": [
[
{
"fld": "<string>",
"opr": "<string>",
"num": "<string>",
"unit": "<string>",
"val": [
"<string>"
]
}
]
],
"sortBy": "<string>",
"columns": [
{
"name": "<string>",
"enabled": true,
"width": 123
}
],
"sharedWith": {
"userIds": [
"<string>"
],
"teamIds": [
"<string>"
]
},
"created": "<string>",
"updated": "<string>",
"rolloutUpdated": "<string>",
"originalIds": {},
"original": {}
}{
"errorMessage": "<string>"
}{
"errorMessage": "<string>"
}{
"errorMessage": "<string>"
}Smart Lists
Get Smart
GET /smart-lists/
GET
/
smart-lists
/
{id}
Get Smart
GET /smart-lists/{id}
Base URL: https://crm.universal.rollout.com/api
Parameters
| Name | In | Type | Required |
|---|---|---|---|
id | path | string | Yes |
Responses
| Status | Description |
|---|---|
200 | OK |
400 | Bad Request |
404 | Not Found |
409 | Conflict |
OpenAPI Source
/openapi/crm.json GET /smart-lists/{id}Authorizations
Authorization JWT
The Rollout Credential ID to use for queries/mutations
Path Parameters
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I